%global gem_name iconv

Name: rubygem-%{gem_name}
Version: 1.0.8
Release: 1%{?dist}
Summary: iconv wrapper library
License: Ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: ruby-devel
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildRequires: gcc

%description
iconv wrapper library


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep

gem unpack %{SOURCE0}
cd %{gem_name}-%{version}

%setup -q -D -T -n  %{gem_name}-%{version}

gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%build
# Create the gem as gem install only works on a gem file
gem build %{gem_name}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}/
mkdir -p %{buildroot}%{gem_extdir_mri}
cp -ar .%{gem_extdir_mri}/* %{buildroot}%{gem_extdir_mri}/
rm %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/ext/%{gem_name}/*{.so,.o}
rm %{buildroot}%{gem_dir}/gems/%{gem_name}-%{version}/ext/%{gem_name}/.sitearchdir.-.iconv.time

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%license %{gem_instdir}/LICENSE.txt
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%{gem_dir}/gems/%{gem_name}-%{version}/.travis.yml
%{gem_dir}/gems/%{gem_name}-%{version}/BSDL
%{gem_dir}/gems/%{gem_name}-%{version}/test/*.rb
%{gem_dir}/gems/%{gem_name}-%{version}/ext/%{gem_name}/*
%{gem_extdir_mri}/*

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/%{gem_name}.gemspec

%changelog
* Wed Sep 25 2019 Lei Wang lei.wang@navcanada.ca - 1.0.8-1
- Initial package
